<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик изменения содержимого файлов.
 * 
 * Файл: /admin/wysiwyg/fm/action/edit_file.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$filename = to_str($_REQUEST['filepath']);

if (!$handle = @fopen($filename, 'w'))
{
	show_error_message(sprintf($GLOBALS['MSG_wysiwyg_fm']['fm_error_open_file'], $filename));
}
else
{
	if (@fwrite($handle, $_REQUEST['text_file']) === false)
	{
		show_error_message(sprintf($GLOBALS['MSG_wysiwyg_fm']['fm_error_write_file'], $filename));
	}
	else
	{
		show_message($GLOBALS['MSG_wysiwyg_fm']['fm_message_save_file']);
	}
	
	fclose($handle);
}
?>